ACCEL-CONFIG LOAD-(1)

NAME
accel-config-load-config - load pre-defined the configuration in json format

SYNOPSIS

accel-config load-config [<options>]

Load and scan through the pre-defined configuration file in json format, and set the configured attribute into corresponding component.

There is a sample config file at /etc/accel-config/accel-config.conf.sample, and it can be used as a reference for user about how the loadable config file looks like, but it should not be used directly given the variance of each system. The user should create a proper config file according to the format of sample file and use "-c" option to point to the config file.

The "dev" property is used as the key for each json object and must be the first entry in each object block.

Note: This feature is intended to be used with a configuration that was previously saved using the save-config command. Manual editing of the configuration file can produce unexpected results.

EXAMPLE

    .ft C
    # accel-config load-config
    The command will load the default config file at
    /etc/accel-config/accel-config.conf

    # accel-config load-config -c <my_config.conf>
    The command will load the specified config file
    .ft

OPTIONS

-l, --log=
    to set where to output the config’s notification

-c, --config-file
    to specify the location of the customized config file

-e, --enable
    to enable the configured devices and wqs

-f, --forced
    to disable enabled devices before configuring